A valid request URL is required to generate request examples{
"results": {
"roleUuid": "<string>",
"userUuid": "<string>",
"scopes": [
"scim:manage"
],
"rotatedAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"organizationUuid": "<string>",
"createdBy": {
"lastName": "<string>",
"firstName": "<string>",
"userUuid": "<string>"
},
"createdByUserUuid": "<string>",
"uuid": "<string>"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Update service account
Update a service account’s name and permissions in place by UUID, without rotating its token. Requires organization administration permission. Providing projectAccess replaces all project grants. Omit all permission fields to preserve existing permissions. Grants are limited to the caller’s organization permissions.
A valid request URL is required to generate request examples{
"results": {
"roleUuid": "<string>",
"userUuid": "<string>",
"scopes": [
"scim:manage"
],
"rotatedAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"organizationUuid": "<string>",
"createdBy": {
"lastName": "<string>",
"firstName": "<string>",
"userUuid": "<string>"
},
"createdByUserUuid": "<string>",
"uuid": "<string>"
},
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Body
In-place edit of a service account's name, permissions, and project access,
without rotating its token. description is always applied. The rest is
target-shaped — the payload describes what the SA should become, and the SA
can move between scope modes:
projectAccess(orscopes = [system:member]) → project-scoped: replace its project grants (≥1 required), keepingscopes = [system:member]. Sending an orgroleUuid/ non-memberscopesalongside is rejected.- org
scopes(preset) orroleUuid(custom role) → organization-scoped: set the org permission and drop any project grants. - neither → rename only, preserving the current mode and permission.
The token and expiry are never touched.
Replace all project grants. Must contain at least one project.
Show child attributes
Show child attributes
Replace the organization custom role, instead of scopes.
Replace the organization role scopes. Omit to preserve existing permissions.
scim:manage, org:admin, org:edit, org:read, system:member, system:admin, system:developer, system:editor, system:interactive_viewer, system:viewer Was this page helpful?